body {
    font-size: 14px;
    color: #5f6063;
    /* font-family: Helvetica Neue, Helvetica, Arial, Malgun gothic, '돋움', AppleSDGothicNeo; */
}

/* reset */
pre {
    border: none;
}

ul, ol, li {
    list-style: none;
    padding-left: 0;
    margin-left: 0;
}

h1, h2, h3, h3, h4, h5, p, ul, dl {
    padding: 0px;
    margin-top: 0px;
    margin-bottom: 0px;
}

/* Navigation - LNB */
.lnb {
    width: 280px;
    position: absolute;
    bottom: 0px;
    top: 0;
    overflow: auto;
    left: 0;
    background: #fff;
}

.lnb .logo {
    height: 96px;
    width: 100%;
    padding-left: 16px;
}

.lnb .logo:nth-child(1) {
    display: inline-block;
    height: 60px;
    line-height: 70px;
    background-color: #fff;
    margin-bottom: 40px;
}

.lnb .logo-main {
    margin-left: 8px;
    display: inline-block;
    width: 125px;
    height: 40px;
    background-image: url('../img/toast-ui-main.png');
    background-position: 0 40px;
    background-size: cover;
    vertical-align: middle;
    background-color: #373737
}

.lnb .logo-main:hover {
    /* background-position:0 -40px; */
}

.lnb .logo-main a {
    display: inline-block;
    width: 100%;
    height: 100%;
}

.lnb .title {
    display: none;
    /* text-align: center; */
    /* padding: 0 0 15px; */
}

.lnb .title .link {
    color: #fff;
    font-style: italic;
}

.lnb h3 {
    font-size: 16px;
    font-weight:bold;
    line-height: 48px;
    letter-spacing: 0;
    color: #86888c;
    padding-left: 30px;
}

.lnb h3 a {
    color: #fa3282;
}

.lnb h3 a:hover {
    color: #9a3282;
}

.lnb .lnb-api li,
.lnb .lnb-examples li {
    /* padding-top: 5px;
    padding-bottom: 5px; */
    /* padding-left: 48px; */
}

.lnb .lnb-api h3 a {
    color: #fa3282;
}

.lnb .lnb-api h3 a:hover {
    color: #fa3282;
    text-decoration: underline;
}

.lnb .lnb-api a {
    color: #86888c;
    line-height: 38px;
    letter-spacing: 0;
    height: 38px;
    display: inline-block;
    vertical-align: middle;
    padding-left: 48px;
    font-weight: bold;
}

.lnb .lnb-examples a {
    color: #ffffff;
    line-height: 48px;
    letter-spacing: 0;
    height: 48px;
    display: inline-block;
    vertical-align: middle
}

.lnb .lnb-api a:hover,
.lnb .lnb-examples a:hover {
    color: #86888c;
}

.lnb .lnb-api .toggle-subnav {
    padding: 0 16px 0 0;
    margin-bottom: 0;
}

.lnb .lnb-api .toggle-subnav:focus {
    outline: 0;
}

.lnb .lnb-api .toggle-subnav {
    float: right;
    line-height: 35px;
    height: 35px;
    font-size: 16px;
}

.lnb .lnb-api .toggle-subnav span {
    color: #86888c
}

.lnb .member-type {
    padding-left: 75px;
    color: #a35a00;
    font-weight: normal;
    font-size: 12px;
    line-height: 30px;
    height: 30px;
    cursor: text;
    opacity: 0.4;
    letter-spacing: 0;
}

.lnb .inner li {
    margin-left: 20px;
    border-bottom: 0;
    padding-top: 0;
    padding-bottom: 0;
    color: #bbb;
}
.lnb .inner li.checkedbkg-cls a{
    color: #866fff;
}

.lnb .inner a {
    font-size: 14px;
    color: #5f6063;
    opacity: 0.8;
    letter-spacing: 0;
    line-height: 30px;
    height: 35px;
    font-weight: normal;
}

.lnb .inner a:hover {
    color: #86888c;
}

.lnb .version {
    color: #aaa;
    font-size: 1.2em;
}

/* LNB-TAB */
.lnb-tab {
    text-align: center;
    text-decoration: none;
}

.lnb-tab li {
    display: inline-block;
    padding-top: 15px;
}

.lnb-tab li a {
    color: #aaa;
    font-size: 0.9em;
}

.lnb-tab li.selected a {
    color: #fff;
    font-size: 1em;
}

.lnb-tab li + li a h4:before {
    content: "\007C";
    display: inline-block;
    color: #999;
    padding: 0 10px;
}

/* MAIN-CONTENT */
.main {
    padding: 58px 54px 22px 48px;
    left: 280px;
    right: 0;
    top: 0;
    bottom: 0;
    position: absolute;
    overflow: auto;
    margin-bottom: 15px;
    border-left: 1px solid #5E5E5E;
    min-width: 1086px;
}

.main article ol,
.main article ul {
    margin-left: 15px;
}

.main section header {
    padding-top: 0;
}

.main section header h2 {
    font-size: 18px;
    letter-spacing: 0;
    line-height: 23px;
    height: 23px;
    font-weight: bold;
    padding-left: 10px;
    border-left: 5px solid #2080F7;
}

.main section header h2 {
    margin: 20px 0px;
}

.main section article {
    /* padding: 10px; */
}

.main section article .container-overview {
    padding: 25px 25px;
    background: #F8F8FB;
}

.main section article .container-overview dt .name {
    font-size: 16px;
    font-weight: 600;
    color: #4D4D4D;
    letter-spacing: 0;
    line-height: 24px;
    height: 24px;
}

.main section article .container-overview dd > .description {
    font-size: 14px;
    color: #666666;
    letter-spacing: 0;
    /*line-height: 57px;*/
    /* height: 57px; */
    line-height: 30px;
    margin: 20px 0 0 0;
}

.main section article .container-overview dd .container-params h5 {
    font-size: 14px;
    font-weight: 600;
    line-height: 56px;
    height: 56px;
    color: #866fff;
    letter-spacing: 0;
}

/* 版本 */
.main section article .container-overview .details dt.tag-version {
    line-height: 65px;
    height: 65px;
}

.main section article .container-overview .details .tag-version li {
    line-height: 14px;
    height: 14px;
}

/* 作者 */
.main section article .container-overview .details dt.tag-author {
    line-height: 65px;
    height: 65px;
}

/* 所有权 */
.main section article .container-overview .details dt.tag-copyright {
    line-height: 65px;
    height: 65px;
}

.main section .param-desc {
    padding-left: 31px;
    font-weight: normal;
    padding-bottom: 10px;
}

.dummy {
    color: #866fff
}

/* constructor的参数table */
.main .container-params .params thead {
    /*border: 1px solid #E5E5E5;*/
}

.main .container-params .params thead {
    font-size: 14px;
    font-weight: 600;
    color: #4D4D4D;
    letter-spacing: 0;
    line-height: 38px;
    height: 38px;
}

.main .container-params .params thead tr th {
    min-width: 100px;
    border: 1px solid #E5E5E5;
}

.main .container-params .params tbody tr {
    border-left: 1px solid #E5E5E5;
    border-right: 1px solid #E5E5E5;
    border-bottom: 1px solid #E5E5E5;
}

.main .container-params .params tbody tr td {
    min-width: 100px;
    border: 1px solid #ddd;
}

/* summary中的function */
.main .container-params .summaryList thead {
    font-size: 14px;
    font-weight: 600;
    color: #4D4D4D;
    letter-spacing: 0;
    line-height: 38px;
    height: 38px;
}

/*.main .container-params .summaryList tbody tr {*/
/*    border: 1px solid #E5E5E5;*/
/*}*/

.main .container-params .summaryList tbody tr.SMarked {
    background-color: #EDEEF6;
}

.main .container-params .summaryList tbody tr td {
    min-width: 100px;
}

/* 方法 */
.main section article h3.subsection-title {
    font-size: 16px;
    color: #86888c;
    letter-spacing: 0;
    line-height: 70px;
    height: 70px;
    /*margin-top: 14px;*/
}

.main article > dl > dt {
    background: #F5F5F5;
    /* height: 48px; */
    line-height: 48px;
}

.main article > dl > dt .name {
    height: 48px;
    line-height: 48px;
    margin-bottom: 8px;
    /* padding-left: 8px; */
}

.main article > dl > dt .name > span {
    margin-left: 8px;
}

.main article > dl > dt .name > span:nth-child(2) {
    margin-left: 0px !important;
}

.main article > dl > dt .name .container-source {
    margin-top: -48px;
    line-height: 48px;
    height: 48px;
}

/* 方法介绍 */
.main article > dl > dd > .description > p {
    padding: 8px 0px 8px 15px;
    /* text-indent: 15px; */
    /* height: 70px; */
    line-height: 30px;
    color: #666666;
    letter-spacing: 0;
}

.main article > dl > dd > .description > li {
    text-indent: 15px;
    height: 22px;
    line-height: 22px;
    color: #666666;
    letter-spacing: 0;
}

.main article > dl > dd .container-params > h5 {
    line-height: 22px;
    margin-bottom: 15px;
    text-indent: 15px;
}

/* 返回值 */
.main article > dl > dd .container-returns h5 {
    margin: 17px 0 15px 0;
    padding-left: 16px;
}

.main article > dl > dd .container-returns ul li {
    border-left: 4px solid #E5E5E5;
    height: 22px;
    line-height: 22px;
    margin-bottom: 15px;
}

.main article > dl > dd .container-returns .param-type {
    color: #666666
}

.main article > dl > dd .container-returns ul li > p {
    color: #4c4c4c
}

.main article > dl > dd .details {
    padding-left: 16px;
    margin-top: 17px;
}

.main article > dl > dd .details > .tag-todo {
    padding-left: 16px;
}

/* todo */
.main article > dl > dd .details ul {
    margin-top: 15px;
}

.main article > dl > dd .details li {
    color: #4C4C4C;
    letter-spacing: 0;
    height: 22px;
    line-height: 22px;
    margin-bottom: 15px;
}

/* example */
.main article > dl > dd > h5 {
    margin: 17px 0 15px 0;
}

/*  demo prettyprint */
.main article > dl > dd > .prettyprint {
    margin-left: 15px;
}

.main section article dl h4 {
    font-size: 14px;
    font-weight: bold;
}

.main section article dl h4 .signature {
    /* font-size: 9pt; */
}

.main section article dl h4 .type-signature {
    /* font-size: 9pt; */
    color: #866fff;
    font-weight: normal;
}

.main section article dl dt .name {
    padding: 3px 10px;
    border-top-right-radius: 4px;
    border-bottom-right-radius: 4px;
    border-left: 4px solid #B7D7FF;
}

.main section article dl dd {
    /* padding: 0 30px; */
}

.main section article dl dd > h5 {
    padding-left: 15px;
}

.main section article dl dd h5 {
    font-weight: bold;
}

.main section article .container-source {
    margin: -24px 0px 0px 0;
    font-weight: normal;
    font-size: 16px;
    line-height: 24px;
    text-align: right;
    padding-right: 10px;
}

.main section article .container-returns {
    margin-bottom: 15px;
    padding-left: 16px;
}

.main section article .container-returns > h5 {
    padding-left: 0px !important;
}

.main section article .container-returns span,
.main section article .container-params table {
    /* border-left: 3px solid #eee; */
    margin-left: 15px;
    /* padding-left: 3px; */
    margin-bottom: 5px;
}

.main section article .container-returns p {
    display: inline;
}

.main section article .container-properties h5,
.main section article .container-returns h5,
.main section article .container-params h5,
.main section article table th,
.main section article table td.type,
.main section article table td.attributes {
    font-family: Verdana, sans-serif;
    font-size: 90%;
}

table th {
    font-weight: 500 !important;
}

.main section article table,
.main section article table th,
.main section article table td {
    font-family: Verdana, sans-serif;
    vertical-align: middle;
    /* height: 36px; */
    line-height: 24px;
    padding: 4px 12px 4px 12px;
    letter-spacing: 0;
    border: 0;
    /* padding: 1px 3px; */
}

.main section article table td.name,
.main section article table td.type,
.main section article table td.attributes,
.main section article table td.default {
    min-width: 206px;
    width: 16%;
    word-break: break-all;
}

.main section article .description td.name,
.main section article .description td.type,
.main section article .description td.attributes,
.main section article .description td.default {
    width: 25%;
}

.main section article table td.name code {
    color: #866fff;
    background: #F6FAFE;
    border: 1px solid #DBEAFD;
    border-radius: 2px;
}

.main section article table td.type,
.main section article table td.attributes {
    color: #aaa;
}

.main section article table td p {
    padding: 0;
    margin: 0;
}

.main section article table td h6 {
    padding: 0 0 0 3px;
    margin: 3px 0 0 3px;
    font-size: 85%;
}

.main section article table .last > p {
    /* display: none; */
}

.main section article table .last > h6 {
    /* display: none; */
}

.main section article table .last > table {
    margin-left: 0px !important;
}

.main section article .container-properties table.props {
    margin-top: -3px;
}

.main .main-content article {
    padding: 0;
}

.main .container-overview,
.main .main-datail {
    overflow: hidden;
}

.main .main-detail .tag-source {
    float: left;
    display: none;
}

.main .main-detail .tag-author {
    float: left;
}

.main .main-detail .tag-author a {
    color: #181818;
    font-size: 11px;
    text-decoration: none;
}

.linenums li.selected {
    background: #faebd7;
}

.iinenums .number {
    color: #777;
    display: inline-block;
    width: 40px;
}

/* FOOTER */
footer {
    /* padding-top: 3px; */
    display: none;
    line-height: 35px;
    height: 35px;
    position: fixed;
    width: 100%;
    bottom: 0;
    background-color: #8789bd;
    color: #ebf8ff;
    text-align: center;
}

/* README*/
.readme {
    font-size: 14px;
}

.readme p,
.readme ul,
.readme ol {
    padding: 3px 0 3px 5px;
}

.readme li {
    list-style: initial;
}

.readme img {
    max-width: 100%;
}

.readme h1 {
    font-size: 24px;
    font-weight: normal;
    padding: 10px 0 5px 0;
    border-bottom: 1px solid #428bca;
}

.readme pre {
    margin: 15px 3px;
}

.readme li p {
    padding: 10px 0;
    color: #333;
}

.readme p a {
    color: #c7254e;
}
.readme * {
    padding-top: 10px;
}
.readme h2 {
    padding-bottom: 10px;
    border-bottom: 1px solid #dedede;
    font-size: 22px;
}

.readme h3 {
    font-size: 20px;
    padding-bottom: 3px;
}

.readme h4 {
    font-size: 18px;
}

.readme h5 {
    font-size: 16px;
}

.readme h6 {
    font-size: 15px;
}

.readme table {
    margin: 5px 30px 20px;
}

.readme table th,
.readme table td {
    padding: 2px 20px 2px 5px;
    border-bottom: 1px solid #dedede;
}

.readme section header h2 {
    font-size: 20px;
    padding-left: 10px;
    border-left: 5px solid #fa3282;
}

.readme section .container-overview {
    color: #333;
    border-radius: 2px;
    border: 1px solid #dedede;
    padding: 15px 15px 10px;
}

.readme section .container-overview .description {
    color: #666;
}

.readme section .container-overview dt {
    float: left;
}

.readme section .container-overview dd {
    float: left;
    margin-left: 10px;
}

.readme blockquote {
    padding: inherit;
    margin: inherit;
    font-size: inherit;
    color: #777;
}

/* Search box */
.search-container {
    /*position: relative;*/
    /*padding-bottom: 25px;*/
    /*padding-left:16px;*/
    /*padding-right: 16px; */
    position: absolute;
    top: 63px;
    left: 5px;
    z-index: 500;
    width: 265px;
}

.search-container input {
    padding: 7px;
    width: 100%;
    color: #aaa;
    /*background: #212121;*/
    border: 1px solid #5E5E5E;
    border-radius: 2px;
}

.search-container a {
    color: #fff;
}

.search-container ul {
    border-color: rgba(128, 128, 128, 0);
    border-width: 0px;
    border-style: solid;
    z-index: 500;
    background: gray;
    width: 265px;
    max-height: 600px;
    overflow-y: auto;
}

.search-container strong {
    color: #44C0FE;;
    font-weight: normal;
}

/* .search-container ul {
    font-size: 13px;
    position: absolute;
    width: 100%;
    background-color: #456e82;
    border: 1px solid #1f292e;
    border-radius: 0 0 2px 2px;
    opacity: 0.9;
    filter: alpha(opacity=90);
} */
.search-container ul li {
    text-align: left;
    width: 100%;
    padding: 4px 0 4px 7px;
    overflow: hidden;
    border: 0;
    cursor: pointer;
}

/*  */
.search-container ul li:hover,
.search-container ul li.highlight {
    background-color: #fff;
}

.search-container ul li:hover a,
.search-container ul li.highlight a {
    color: #1f292e;
    text-decoration: underline;
}

.search-container ul li:hover strong,
.search-container ul li.highlight strong {
    color: #ff4141;
}

.search-container ul li .group {
    font-size: 11px;
    color: #ccc;
    margin-left: 10px;
}

.search-container ul li:hover .group,
.search-container ul li.highlight .group {
    color: #777;
}

/* ETC */
.logo {
    width: 30px;
    height: 30px;
    vertical-align: initial;
    /* padding: 5px */
}

.hidden {
    display: none;
}

.footer-text {
    padding-left: 10px;
    vertical-align: top;
    display: inline-block;
}

#example-nav {
    margin-top: 15px;
}

#resizer {
    width: 16px;
    position: fixed;
    left: 280px;
    height: 100%;
    background-color: #f5f5f5;
    cursor: col-resize;
}

span.param-type {
    color: #aaa;
}

pre.prettyprint {
    font-size: 14px;
    border-radius: 0;
}

span.icon {
    font-size: 14px;
    line-height: 22px;
    border-radius: 2px;
}

span.icon.green {
    color: #35B97F;
    background-color: #ebfaf4;
    border-color: #D8F5E8;
}

span.icon.blue {
    color: #31708f;
    background-color: #d9edf7;
    border-color: #bce8f1;
}

span.icon.yellow {
    color: #8a6d3b;
    background-color: #fcf8e3;
    border-color: #faebcc;
}

span.icon.red {
    color: #A94443;
    background-color: #f2dede;
    border-color: #ebccd1;
}

span.arrow {
    font-size: 8pt;
    padding-right: 5px;
}

/* 自定义样式 */
.checkedbkg-cls {
    background: #eeeeee;
}

.checkedbkg-cls a {
    color:#866fff;
    font-weight: normal;
}

#2080F7
.lnb-api {
    /* padding-left: 30px; */
    position: relative;
}

.lnb-api-icon {
    position: absolute;
    left: 0px;
    top: 0px;
    font-size: 16px;
    line-height: 48px;
    width: 30px;
    text-align: center;
    color: #2080F7
}

.class-description p {
    font-size: 14px;
    color: #666666;
    letter-spacing: 0;
    line-height: 22px;
    text-indent: 15px;
    padding: 20px 0 20px 0;
}

a {
    color: #866fff;
}

.borderLeft-4px {
    border-left: 0 solid #39B2FF;
}

/* 截图功能css */
/* start */
.capture-contain {
    position: fixed;
    top: 0px;
    left: 0px;
    z-index: 999;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.5);
    display: none;
    /* visibility: hidden; */
}

.canvas-content {
    position: fixed;
    background: white;
    top: 0px;
    left: 0px;
    opacity: 1;
    transform: scale(0.8);
    z-index: 999;
    transition: transform 0.3s cubic-bezier(0.42, 0, 0.58, 1), opacity 0.3s cubic-bezier(0.42, 0, 0.58, 1), -webkit-transform 0.3s cubic-bezier(0.42, 0, 0.58, 1);
}

.caption-a {
    position: absolute;
    cursor: pointer;
    right: 30px;
    top: 55px;
    font-size: 24px;
    line-height: 24px;
    font-weight: 200;
    color: #2080F7;
    z-index: 1000;
}

.caption {
    /* displ */
}

.caption-close {
    display: none;
}

/* end */

.search-container-icon {
    position: absolute;
    font-size: 16px;
    line-height: 16px;
    right: 24px;
    top: 9px;
    color: #aaa
}

.lnb::-webkit-scrollbar {
    width: 8px;
    height: 8px;
}

.lnb::-webkit-scrollbar-track {
    background: #fff;
}

.lnb::-webkit-scrollbar-track-piece {
    background-color: #fff;
}

.lnb::-webkit-scrollbar-thumb {
    background: rgb(225, 225, 225);;
    max-height: 80px;
    max-width: 80px;
    border-radius: 8px;
}


/* 新增 */
.subsection-title {
    font-size: 14px;
    color: #666666;
    text-indent: 15px;
    padding: 0px 0 20px 0;
    font-weight: 700;
    height: 40px;
    line-height: 40px;
}

.details {
    font-size: 14px;
    color: #666666;
    text-indent: 15px;
}

.details dd {
    font-size: 12px;
    padding-bottom: 20px;
}

.exceptions {
    padding-left: 15px;
}

.exceptions > span {
    float: left;
}

.exceptions .seperator {
    padding-left: 10px;
    padding-right: 10px;
}

.container-exceptions {
    padding-top: 10px;
    padding-left: 15px;
}

.container-exceptions .exceptions {
    padding-top: 20px;
}

.container-overview .hik-example {
    padding-top: 10px;
    padding-bottom: 10px;
}

.main article dl dd table.props tr,
.main article dl dd table.props th,
.main article dl dd table.props td{
    border: 1px solid #ddd;
}